| API Docs for SAX and DOM |

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# XMLValid Class Reference

List of all members.

## Public Types

enum

Codes {
NoError = 0, E_LowBounds = 1, ElementNotDefined = 2, AttNotDefined = 3,
NotationNotDeclared = 4, RootElemNotLikeDocType = 5, RequiredAttrNotProvided = 6, ElementNotValidForContent = 7,
BadIDAttrDefType = 8, InvalidEmptyAttValue = 9, ElementAlreadyExists = 10, MultipleIdAttrs = 11,
ReusedIDValue = 12, IDNotDeclared = 13, UnknownNotRefAttr = 14, UndeclaredElemInDocType = 15,
EmptyNotValidForContent = 16, AttNotDefinedForElement = 17, BadEntityRefAttr = 18, UnknownEntityRefAttr = 19,
ColonNotValidWithNS = 20, NotEnoughElemsForCM = 21, NoCharDataInCM = 22, DoesNotMatchEnumList = 23,
AttrValNotName = 24, NoMultipleValues = 25, NotSameAsFixedValue = 26, RepElemInMixed = 27,
NoValidatorFor = 28, IncorrectDatatype = 29, NotADatatype = 30, TextOnlyContentWithType = 31,
FeatureUnsupported = 32, NestedOnlyInElemOnly = 33, EltRefOnlyInMixedElemOnly = 34, OnlyInEltContent = 35,
OrderIsAll = 36, DatatypeWithType = 37, DatatypeQualUnsupported = 38, GroupContentRestricted = 39,
UnknownBaseDatatype = 40, OneOfTypeRefArchRef = 41, NoContentForRef = 42, IncorrectDefaultType = 43,
IllegalAttContent = 44, ValueNotInteger = 45, DatatypeError = 46, SchemaError = 47,
TypeAlreadySet = 48, ProhibitedAttributePresent = 49, IllegalXMLSpace = 50, NotBoolean = 51,
NotDecimal = 52, FacetsInconsistent = 53, IllegalFacetValue = 54, IllegalDecimalFacet = 55,
UnknownFacet = 56, InvalidEnumValue = 57, OutOfBounds = 58, NotAnEnumValue = 59,
NotInteger = 60, IllegalIntegerFacet = 61, NotReal = 62, IllegalRealFacet = 63,
ScaleLargerThanPrecision = 64, PrecisionExceeded = 65, ScaleExceeded = 66, NotFloat = 67,
SchemaRootError = 68, WrongTargetNamespace = 69, SimpleTypeHasChild = 70, NoDatatypeValidatorForSimpleType = 71,
GrammarNotFound = 72, DisplayErrorMessage = 73, NillNotAllowed = 74, NilAttrNotEmpty = 75,
FixedDifferentFromActual = 76, NoDatatypeValidatorForAttribute = 77, GenericError = 78, ElementNotQualified = 79,
ElementNotUnQualified = 80, VC_IllegalRefInStandalone = 81, NoDefAttForStandalone = 82, NoAttNormForStandalone = 83,
NoWSForStandalone = 84, VC_EntityNotFound = 85, PartialMarkupInPE = 86, DatatypeValidationFailure = 87,
UniqueParticleAttributionFail = 88, NoAbstractInXsiType = 89, NoDirectUseAbstractElement = 90, NoUseAbstractType = 91,
BadXsiType = 92, NonDerivedXsiType = 93, NoSubforBlock = 94, AttributeNotQualified = 95,
AttributeNotUnQualified = 96, IC_FieldMultipleMatch = 97, IC_UnknownField = 98, IC_AbsentKeyValue = 99,
IC_UniqueNotEnoughValues = 100, IC_KeyNotEnoughValues = 101, IC_KeyRefNotEnoughValues = 102, IC_KeyMatchesNillable = 103,
IC_DuplicateUnique = 104, IC_DuplicateKey = 105, IC_KeyRefOutOfScope = 106, IC_KeyNotFound = 107,
NonWSContent = 108, EmptyElemNotationAttr = 109, EmptyElemHasContent = 110, ElemOneNotationAttr = 111,
AttrDupToken = 112, ElemChildrenHasInvalidWS = 113, E_HighBounds = 114, W_LowBounds = 115,
W_HighBounds = 116, F_LowBounds = 117, F_HighBounds = 118
}

## Static Public Member Functions

static bool | isFatal (const XMLValid::Codes toCheck)
static bool | isWarning (const XMLValid::Codes toCheck)
static bool | isError (const XMLValid::Codes toCheck)
static XMLErrorReporter::ErrTypes | errorType (const XMLValid::Codes toCheck)
static DOMError::ErrorSeverity | DOMErrorType (const XMLValid::Codes toCheck)

## Member Enumeration Documentation

enum XMLValid::Codes

Enumerator:

  NoError |
  E_LowBounds |
  ElementNotDefined |
  AttNotDefined |
  NotationNotDeclared |
  RootElemNotLikeDocType |
  RequiredAttrNotProvided |
  ElementNotValidForContent |
  BadIDAttrDefType |
  InvalidEmptyAttValue |
  ElementAlreadyExists |
  MultipleIdAttrs |
  ReusedIDValue |
  IDNotDeclared |
  UnknownNotRefAttr |
  UndeclaredElemInDocType |
  EmptyNotValidForContent |
  AttNotDefinedForElement |
  BadEntityRefAttr |
  UnknownEntityRefAttr |
  ColonNotValidWithNS |
  NotEnoughElemsForCM |
  NoCharDataInCM |
  DoesNotMatchEnumList |
  AttrValNotName |
  NoMultipleValues |
  NotSameAsFixedValue |
  RepElemInMixed |
  NoValidatorFor |
  IncorrectDatatype |
  NotADatatype |
  TextOnlyContentWithType |
  FeatureUnsupported |
  NestedOnlyInElemOnly |
  EltRefOnlyInMixedElemOnly |
  OnlyInEltContent |
  OrderIsAll |
  DatatypeWithType |
  DatatypeQualUnsupported |
  GroupContentRestricted |
  UnknownBaseDatatype |
  OneOfTypeRefArchRef |
  NoContentForRef |
  IncorrectDefaultType |
  IllegalAttContent |
  ValueNotInteger |
  DatatypeError |
  SchemaError |
  TypeAlreadySet |
  ProhibitedAttributePresent |
  IllegalXMLSpace |
  NotBoolean |
  NotDecimal |
  FacetsInconsistent |
  IllegalFacetValue |
  IllegalDecimalFacet |
  UnknownFacet |
  InvalidEnumValue |
  OutOfBounds |
  NotAnEnumValue |
  NotInteger |
  IllegalIntegerFacet |
  NotReal |
  IllegalRealFacet |
  ScaleLargerThanPrecision |
  PrecisionExceeded |
  ScaleExceeded |
  NotFloat |
  SchemaRootError |
  WrongTargetNamespace |
  SimpleTypeHasChild |
  NoDatatypeValidatorForSimpleType |
  GrammarNotFound |
  DisplayErrorMessage |
  NillNotAllowed |
  NilAttrNotEmpty |
  FixedDifferentFromActual |
  NoDatatypeValidatorForAttribute |
  GenericError |
  ElementNotQualified |
  ElementNotUnQualified |
  VC_IllegalRefInStandalone |
  NoDefAttForStandalone |
  NoAttNormForStandalone |
  NoWSForStandalone |
  VC_EntityNotFound |
  PartialMarkupInPE |
  DatatypeValidationFailure |
  UniqueParticleAttributionFail |
  NoAbstractInXsiType |
  NoDirectUseAbstractElement |
  NoUseAbstractType |
  BadXsiType |
  NonDerivedXsiType |
  NoSubforBlock |
  AttributeNotQualified |
  AttributeNotUnQualified |
  IC_FieldMultipleMatch |
  IC_UnknownField |
  IC_AbsentKeyValue |
  IC_UniqueNotEnoughValues |
  IC_KeyNotEnoughValues |
  IC_KeyRefNotEnoughValues |
  IC_KeyMatchesNillable |
  IC_DuplicateUnique |
  IC_DuplicateKey |
  IC_KeyRefOutOfScope |
  IC_KeyNotFound |
  NonWSContent |
  EmptyElemNotationAttr |
  EmptyElemHasContent |
  ElemOneNotationAttr |
  AttrDupToken |
  ElemChildrenHasInvalidWS |
  E_HighBounds |
  W_LowBounds |
  W_HighBounds |
  F_LowBounds |
  F_HighBounds |

## Member Function Documentation

static bool XMLValid::isFatal | ( | const XMLValid::Codes | toCheck | ) | `[static]`

static bool XMLValid::isWarning | ( | const XMLValid::Codes | toCheck | ) | `[static]`

static bool XMLValid::isError | ( | const XMLValid::Codes | toCheck | ) | `[static]`

static XMLErrorReporter::ErrTypes XMLValid::errorType | ( | const XMLValid::Codes | toCheck | ) | `[static]`

static DOMError::ErrorSeverity XMLValid::DOMErrorType | ( | const XMLValid::Codes | toCheck | ) | `[static]`

The documentation for this class was generated from the following file:

- XMLValidityCodes.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.